#
# spec file for package perl-PerlIO-via-dynamic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PerlIO-via-dynamic
Version:        0.14
Release:        6.24
%define cpan_name PerlIO-via-dynamic
Summary:        Dynamic Perlio Layers
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PerlIO-via-dynamic/
Source0:        https://cpan.metacpan.org/authors/id/A/AL/ALEXMV/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'PerlIO::via::dynamic' is used for creating dynamic PerlIO layers. It is
useful when the behavior or the layer depends on variables. You should not
use this module as via layer directly (ie :via(dynamic)).

Use the constructor to create new layers, with two arguments: translate and
untranslate. Then use '$p-'via ($fh)> to wrap the handle. Once <$fh> is
destroyed, the temporary namespace for the IO layer will be removed.

Note that PerlIO::via::dynamic uses the scalar fields to reference to the
object representing the dynamic namespace.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Sun Jun  9 2013 coolo@suse.com
- updated to 0.14
  * Update to not warn on perl 5.16 and above
* Sat Apr  2 2011 coolo@novell.com
- update to 0.13
  * Workaround a refcnt bug in Perl 5.10.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Sep 18 2006 lmuelle@suse.de
- Update to version 0.12.
  * Dummy release, as I accidentally delete the previous
    one from pause.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb 16 2005 schwab@suse.de
- Don't remove BuildRoot in %%install.
* Mon Feb 14 2005 lmuelle@suse.de
- Initial SuSE package.
